% This script generates the table of GPS times when the leap second 
% corrections were applied. The output is written into a file: 
% "leapSecGPStimes.dat".
%
% Note: the table contains UNCORRECTED GPS times.

% $Id: genTable.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

% load the calendar dates and times when the leap corrections were applied

x = load('leapSecDates.dat');

N = size(x,1);

for n = 1:1:N

   year  = x(n,1);
   month = x(n,2);
   day   = x(n,3);
   hour  = x(n,4);
   min   = x(n,5);
   sec   = x(n,6);

   y(n) = utc2gps(year, month, day, hour, min, sec);

end


fid = fopen('leapSecGPStimes.dat', 'w');
fprintf(fid, '%u \n', y);
fclose(fid);

return
