function y = lsCorrAdd(x)

%LSCORRADD adds the correction due leap seconds
%
%SYNOPSIS
%  Y = lsCorrAdd(X)
%
%INPUT
%   X - GPS time in seconds (uncorrected)
%
%OUTPUT
%   Y - GPS time in seconds (corrected)
%
%AUTHOR
%   Shantanu Desai (No longer part of the LV Collaboration)

% $Id: lsCorrAdd.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

% load the table of GPS times when leap second corrections were applied
% Note: the times are UNCORRECTED for leap seconds

% Feed values directly to z to ease conversion to compiled matlab
%z = load('leapSecGPStimes.dat');
z = [46828800 78364800 109900800 173059200 252028800 ...
    315187200 346723200 393984000 425520000 457056000 504489600 551750400 ...
    599184000 820108800] ;
%z = z' ;
 
 
I = length(z);

dx = 0;

for i = 1:1:(I-1)
   if (x >= z(i)) && (x < z(i+1))
      dx = i;
   end
end

if (x >= z(I))
   dx = I;
end


% add the correction
y = x + dx;

return
