% Sigmoid Fitting Toolbox
% Version 1.0 2005-Jun-25
% 
% The following functions allow one to fit asymmetric sigmoid
% functions to detection efficiency data.
% 
%   SIGMOID            Compute asymmetric sigmoid efficiency curve
%   SIGMOIDFIT         Determine detection efficiencies and fit to
%                      sigmoid curve
%   SIGMOIDCHISQUARE   Test quality of sigmoid function fit to data
% 
% In addition, the following function is provided to demonstrate
% the use of the sigmoid fitting toolbox.
% 
%   SIGMOIDEXAMPLE     Example fitting to sigmoid curve
% 
% The sigmoid curve is specified by five parameters.
% 
%   center          approximate amplitude at fifty percent
%                   detection efficiency
%   width           approximate width in decades
%   asymmetry       dimensionless asymmetry parameter
%   pedestal        minimum detection efficiency
%   entablature     maximum detection efficiency
% 
% In some cases, it may be useful to explicitly force one or more of
% these parameters to a specific value.  This should be done in the
% function SIGMOID.  Typical constraints are a pedestal of zero, an
% entablature of unit, and an asymmetry of zero.
% 
% Note that the center parameter is not the same as the amplitude at
% 50 percent detection efficiency unless the pedestal is zero, the
% entablature is unity, and the asymmetry is zero.  In general, the
% amplitude at 50 percent deteection efficiency can be determined by
% interpolation from the resulting sigmoid curve.  Perhaps there is an
% analytical expression for it, but it is has not been investigated.
% 
% Note that the sigmoid fitting toolbox requires the Matlab Statistics
% toolbox.
% 
% Shourov K. Chatterji
% shourov@ligo.mit.edu
% 
% Lindy L. Blackburn
% lindy@ligo.mit.edu
% 
% 2005-Jun-25
% 
% $Id: Contents.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $
